Edushade Docs
Learning progress

Update Learning Progress

PUT
/user/learning/learning-progress/{entity_type}/{entity_id}/progress
AuthorizationBearer <token>

In: header

Path Parameters

entity_typestring

The entity type identifier

entity_idstring

The entity id identifier

Formatuuid
feedbackstring
Default"Great lesson!"
last_positioninteger
Default540
progress_percentnumber
Default45.5
ratinginteger
Default4
statusstring
Default"in_progress"
time_spentinteger
Default1200

Response Body

curl -X PUT "https://edushade.com/api/v1/user/learning/learning-progress/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/progress" \
  -H "Content-Type: application/json" \
  -d '{
    "feedback": "Great lesson!",
    "last_position": 540,
    "progress_percent": 45.5,
    "rating": 4,
    "status": "in_progress",
    "time_spent": 1200
  }'
{}
Empty
Empty
Empty